Loading...
Searching...
No Matches
Dune::CommPolicy< V >::CommunicationError Class Reference

Error thrown if there was a problem with the communication. More...

`#include <dune/common/parallel/communicator.hh>`

Inheritance diagram for Dune::CommPolicy< V >::CommunicationError:

## Public Member Functions

void | message (const std::string &msg)
| store string in internal message buffer
const char * | what () const noexcept override
| output internal message buffer

## Static Public Member Functions

static void | registerHook (ExceptionHook *hook)
| add a functor which is called before a Dune::Exception is emitted (see Dune::ExceptionHook)
static void | clearHook ()
| remove all hooks

## Detailed Description

template<class V>
class Dune::CommPolicy< V >::CommunicationError

Error thrown if there was a problem with the communication.

The documentation for this class was generated from the following file:

- communicator.hh